Agent tasks
Get agent task
Retrieve an agent task by unique id.
Authorization
bearerAuth AuthorizationBearer <token>
Provide your secret key as Authorization: Bearer sk_....
In: header
Path Parameters
agentTaskId*string
Response Body
application/json
curl -X GET "https://example.com/v1/agent-tasks/string"{ "id": "ata_cf4fe6caa10b4009a8b103d2d5d64042", "createdAt": "2023-10-01T12:00:00Z", "updatedAt": "2023-10-01T12:00:00Z", "status": "SUCCEEDED", "taskType": "MEMORY_CHAT", "succeededAt": "2023-10-01T12:00:00Z", "successResponse": {}, "failedAt": "2023-10-01T12:00:00Z", "failureResponse": { "message": "Task failed: upstream timeout" }, "metadata": { "organization_id": "org_1234567890", "allowed_roles": [ "Admin", "Member" ], "size": 1337, "is_available": true, "mean_score": 3.14 }, "conversationId": "cnv_cf4fe6caa10b4009a8b103d2d5d64042", "manualActionResults": [ { "actionCallId": "aca_cf4fe6caa10b4009a8b103d2d5d64042", "status": "APPROVED", "name": "createIncident", "input": {}, "reason": "User approved.", "recordedAt": "2023-10-01T12:05:00Z" } ]}